kstat_types.d(1m)

NAME
kstat_types.d - Trace kstat reads with type info. Uses DTrace.

SYNOPSIS
kstat_types.d

DESCRIPTION
kstat is the Kernel Statistics framework, which is used by tools such as vmstat, iostat, mpstat and sar. Try running vmstat while kstat_types.d is tracing - you should see details of the kstat reads performed. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - this script uses fbt provider probes which may change for future updates of the OS, invalidating this script. Please read Docs/Notes/ALLfbt_notes.txt for further details about these fbt scripts.

EXAMPLES

Trace kstat reads as they occur,
    # kstat_types.d

FIELDS

CMD command name

CLASS
    kstat class (ks_class)

TYPE
    kstat type as a string (ks_type)

MOD:INS:NAME
    kstat module:instance:name

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
kstat_types.d will trace until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), kstat(1M), kstat(3KSTAT)